User:
  properties:
    ID:
      description: Record ID
      type: string
    APIKey:
      description: API Key
      type: string
    AboutMe:
      description: About Me
      type: string
    AccountID:
      description: Account ID
      type: string
    Address:
      $ref: "./address.yaml#/Address"
    Alias:
      description: Alias
      type: string
    Auth0UserID:
      description: Auth0 User Id
      type: string
    CommunityNickname:
      description: Nickname
      type: string
    CompanyName:
      description: Company Name
      type: string
    ContactID:
      description: Contact
      type: string
    CreatedByID:
      description: Created User ID
      type: string
    CreatedDate:
      description: Date Created
      type: string
    DelegatedApproverID:
      description: Delegated Approver
      type: string
    Department:
      description: Department
      type: string
    Division:
      description: Division
      type: string
    Email:
      description: Email address
      type: string
    EmployeeNumber:
      description: Employee Number
      type: string
    EndOfDay:
      description: Time day ends
      type: string
    Environment:
      description: Environment
      type: string
    Extension:
      description: Extension
      type: string
    FabricAPIKey:
      description: Fabric API Key
      type: string
    Fax:
      description: Fax
      type: string
    FirstName:
      description: The first name
      type: string
    ForecastEnabled:
      description: Allow Forecasting
      type: boolean
    FullPhotoURL:
      description: Full Photo URL
      type: string
    IsActive:
      description: Active
      type: boolean
    IsPortalEnabled:
      description: Is the user enabled for Communities?
      type: boolean
    IsProfilePhotoActive:
      description: Has Profile Photo
      type: boolean
    IsSystemControlled:
      type: boolean
    LastIP:
      description: IP address of last login
      type: string
    LastLogin:
      description: Last login time
      type: string
    LastModifiedByID:
      description: Last Modified User ID
      type: string
    LastModifiedDate:
      description: Last Modified Date
      type: string
    LastName:
      description: The Last Name
      type: string
    LoginCount:
      description: Number of times user has logged in
      format: int64
      type: number
    ManagerID:
      description: Manager
      type: string
    MobilePhone:
      description: Mobile
      type: string
    Name:
      description: Name
      type: string
    OutOfOfficeMessage:
      description: Out of office message
      type: string
    Phone:
      description: Phone
      type: string
    PortalRole:
      description: Portal Role Level
      type: string
    ProfileID:
      description: Profile
      type: string
    ReceivesAdminEmails:
      description: Info Emails
      type: boolean
    ReceivesAdminInfoEmails:
      description: Admin Info Emails
      type: boolean
    SenderEmail:
      description: Email Sender Address
      type: string
    SenderName:
      description: Email Sender Name
      type: string
    Signature:
      description: Email Signature
      type: string
    SmallPhotoURL:
      description: Small Photo URL
      type: string
    StartOfDay:
      description: The time day starts
      type: string
    TaxnexusAccount:
      description: Taxnexus Account
      type: string
    TenantID:
      description: Tenant ID associated with this user
      type: string
    TenantUsers:
      items:
        $ref: "./tenant-user.yaml#/TenantUser"
      type: array
    TimeZone:
      description: Time Zone
      type: string
    Title:
      description: Title
      type: string
    UserRoleID:
      description: Role
      type: string
    UserRoles:
      items:
        $ref: "./user-role.yaml#/UserRole"
      type: array
    UserType:
      description: User Type
      type: string
    Username:
      description: Username
      type: string
  type: object
